
Member Nodes - MNDeployment #6674

OTS - Neotropical Data Center

2014-11-26 20:10 - Laura Moyers

Status: Operational Start date: 2015-04-06

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 86%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Latitude: 9.94 MN_Date_Online: 2018-02-26

Longitude: 84.05 Name: Organization for Tropical Studies

MN Description: The Organization for Tropical Studies

NeoTropical Data Center (OTS-NTDC) is

a U.S. based non-profit consortium

located at Duke University, and

composed of over 60 academic and

research institutions from the United

States, Costa Rica, South Africa,

Mexico, Peru and Australia. OTS-NDC is

designed to safeguard and promote

sharing and reuse of scientific data from

neotropical ecosystems of Costa Rica.

OTS-NDC manages ecological data

generated at research stations located in

La Selva, Las Cruces, and Palo Verde,

Costa Rica by both OTS-NDC and

independent researchers. OTS-NDC was

originally funded by the U.S. NSF (FSML

program), but is now operated

autonomously by OTS-NDC.

Logo URL: https://github.com/DataONEorg/member-

node-info/blob/master/production/graphic

s/web/OTS_NDC.png

Base URL:  Date Upcoming: 2018-02-19

NodeIdentifier: urn:node:OTS_NDC Date Deprecated:  

MN Tier: Tier 1 Information URL: http://www.ots.ac.cr/

Software stack: metacat Version: 2.8.6

Description

http://www.ots.ac.cr/

 http://metacat.ots.ac.cr/metacatui/

See notes from initial meeting - https://epad.dataone.org/pad/p/OTS_and_DataONE 

The OTS currently does not have a data repository.  DataONE's current effort is to provide guidance for their proposal to NSF

regarding additional/improved sensor equipment and the hardware/human resources to support the development of a data repository

which will become a Member Node. The MN will be physically located in Costa Rica, likely the University of Costa Rica.

POC: Carolina Murcia, carolina dot murcia at ots dot cr, Science Director at OTC

proposed NodeID: urn:node:OTS

s/w stack TBD

tier TBD but likely tier 1 initially

{updated} Description

The Organization for Tropical Studies NeoTropical Data Center (OTS-NTDC) is a U.S. based non-profit consortium located at Duke

University, and composed of over 60 academic and research institutions from the United States, Costa Rica, South Africa, Mexico,

Peru and Australia. OTS-NDC is designed to safeguard and promote sharing and reuse of scientific data from neotropical

ecosystems of Costa Rica. OTS-NDC manages ecological data generated at research stations located in La Selva, Las Cruces, and

Palo Verde, Costa Rica by both OTS-NDC and independent researchers. OTS-NDC was originally funded by the U.S.NSF (FSML

program), but is now operated autonomously by OTS-NDC.

Subtasks:
Task # 7002: OTS: MN Communications Closed

Task # 7003: OTS: Scope the implementation Closed

Story # 8255: (NTDC) OTS Development & Testing Closed

  Task # 7004: OTS: Plan the implementation Closed

  Task # 7005: OTS: Design, code and component test a new MN implementation Closed

  Task # 7006: OTS: Implement search index and display (ONEMercury) support for any new m... Closed

  Task # 7007: OTS: Register any new object formats in all environments Closed

  Task # 7008: OTS: Local Testing Closed

  Task # 7009: OTS: Establish DataONE user identity in Testing Environment Closed

  Task # 7010: OTS: Configure SSL Certificates for Testing Environment Closed

  Task # 7011: OTS: Verify MN Content and Services in Testing Environment Closed

  Task # 7012: OTS: Register MN in Testing Environment Closed

  Task # 7013: OTS: Verify CN Content and Services in Testing Environment Closed

  Task # 7014: OTS: Check Authentication and Authorization in Testing Environment Closed

  Task # 7015: OTS: Show MN as "upcoming" on the dashboard Closed

Story # 8256: (NTDC) OTS Move to Production Closed

  Task # 7016: OTS: Establish DataONE user identity in Production Closed

  Task # 7017: OTS: Configure SSL Certificates for Production Closed

  Task # 7018: OTS: Verify MN Content and Services in Production Closed

  Task # 7019: OTS: Register MN in Production Closed

  Task # 7020: OTS: Verify CN Content and Services in Production Closed

  Task # 7021: OTS: Check Authentication and Authorization in Production Closed

  Task # 7022: OTS: Mutual acceptance Closed

  Task # 7023: OTS: Ensure MN appears on Current MNs webpage (dashboard) Closed

  Task # 7024: OTS: Document and Announce Closed

Task # 8378: (OTS) replicate data In Progress

History

#1 - 2015-04-06 17:40 - Matthew Jones

- Base URL set to  http://metacat.ots.ac.cr/metacatui/

Update: Matt Jones was contacted by Bryan Heidorn and had an email conversation with him and Oscar Madrigal Ovares oscar.madrigal@ots.cr

about installing and configuring Metacat for use at OTS.  Oscar has now installed a Metacat instance, but it current;y does not have any data loaded

and it has not been configured as a DataONE node yet. Oscar planned to be in contact over IRC so we could continue deployment.

#2 - 2015-04-17 14:56 - Bruce Wilson

- Target version set to In Progress

- % Done changed from 0 to 10

- Status changed from New to Planning

#3 - 2016-03-28 19:34 - Laura Moyers

- MN Tier set to Tier 1

- Software stack set to metacat

- Target version changed from In Progress to Deploy by end of Y2Q4

Email from Carolina Murcia - they're expecting their server to be delivered soon and are ready to plan/develop their MN. They are going to use

metacat, but we need to resolve their metadata standard(s) questions before other technical planning can occur.

Also, the name of the MN will likely be "OTS Tropical Science Data Portal".
#4 - 2016-07-02 13:39 - Laura Moyers

Met with Carolina and Oscar M at OTS 27 June 2016.  It was decided to go with EML metadata for consistency with the researchers contributing data.

There may be researchers later who are more conversant with other metadata standards, but at least at first, in training the researchers and getting

the OTS repository up and running, we'll go with EML.  

Carolina, Oscar M and Oscar A are to develop some test content with EML metadata to put into their metacat and sync with DataONE in stage.  This

may take a couple weeks.

https://epad.dataone.org/pad/p/OTS_and_DataONE

#5 - 2016-09-12 17:17 - Laura Moyers

- Target version changed from Deploy by end of Y2Q4 to Deploy by end of Y3Q1

#6 - 2016-11-21 17:55 - Laura Moyers

- Target version changed from Deploy by end of Y3Q1 to Deploy by end of Y3Q2

Moving out in schedule; Carolina and Oscar M need to do some more work on their end re: data before we can proceed with MN development.

#7 - 2017-02-14 14:13 - Laura Moyers

- Status changed from Planning to Testing

- % Done changed from 10 to 50

Carolina has developed some sample data/metadata and we're ready to test in Stage.

#8 - 2017-02-25 19:27 - Laura Moyers

- Target version changed from Deploy by end of Y3Q2 to Deploy by end of Y3Q3

#9 - 2017-06-25 18:06 - Laura Moyers

- File preguntasdataone.docx added

- Target version changed from Deploy by end of Y3Q3 to Deploy by end of Y3Q4

OTS wishes to be known as the NeoTropical Data Center to attract a broader clientele.  Public-facing documentation should be NTDC (or

NeoTropical Data Center or NeoTrop Data Center), but internally we can continue to use OTS (as in nodeId) if needed.

Oscar M has added some more content to their Metacat instance.

Jing/Laura have been providing support recently for several questions Oscar had (see attached Word doc).

It is recommended that Oscar update his Metacat to the most current release (presently 2.8.3).  When his Metacat instance is in a good state to move

forward, we need to help Oscar register in Stage and do some testing.  It wouldn't hurt beforehand, though, to validate his content, packaging,

metadata, etc.

#10 - 2017-08-30 18:02 - Laura Moyers

- Subject changed from OTS: Organization for Tropical Studies to NeoTropical Data Center - was OTS: Organization for Tropical Studies
- Assignee changed from Laura Moyers to Jing Tao

Conversation with OscarM this week informs that they are running metacat 2.5.1 and they need to update to 2.8.4.  We thought he had updated, but

he suspects there is something up on his end.

We can test with urn:node:mnTestOTS with the content currently identified as authMN urn:node:mnTestOTS. 

Transition to production planning:

Oscar really needs to set up a separate metacat instance for production.  If he cannot, he will need to change the originMN and authMN from

urn:node:mnTestOTS to urn:node:NTDC.  Oscar will need to register urn:node:NTDC in production.

#11 - 2017-08-30 20:33 - Laura Moyers

- Target version changed from Deploy by end of Y3Q4 to Deploy by end of Y4Q1

#12 - 2018-01-30 22:04 - Amy Forrester

- Subject changed from NeoTropical Data Center - was OTS: Organization for Tropical Studies to OTS - Neotropical Data Center

#13 - 2018-01-30 22:06 - Amy Forrester

1/27/18: {from Oscar Ovares} Change the name to the node 

We want to change the name to the node to OTS - Neotropical Data Center. Is it possible? Are there some considerations or limitations that we

need to have in mind about the name? 

 

[mark] Yes, you may change the member node name and identifier as necessary. The member node name may be "OTS - Neotropical Data Center",

but the member node identifier would have to be something like "OTS_NDC". Is this acceptable? If so, you would enter the member node name into

the "Node Name" field of the Metacat DataONE administration web page; similarly, you would enter the new member node identifier

(urn:node:OTS_NDC) into the "Node Identifier" field of the Metacat DataONE administration page. The "Node Subject" field would also need to be

changed to "CN=urn:node:OTS-NDC,DC=dataone,DC=org".

#14 - 2018-02-05 20:48 - Amy Forrester

- NodeIdentifier changed from urn:node:OTS to urn:node:OTS_NDC

#15 - 2018-02-06 18:35 - Amy Forrester

- Description updated

#16 - 2018-02-14 15:06 - Amy Forrester

- File OTS press release.final.docx added

#17 - 2018-02-14 21:34 - Amy Forrester

- File deleted (OTS press release.final.docx)
#18 - 2018-02-19 21:52 - Amy Forrester

- Description updated

- Base URL changed from  http://metacat.ots.ac.cr/metacatui/ to http://www.ots.ac.cr/

#19 - 2018-02-19 21:53 - Amy Forrester

- MN Description set to The Organization for Tropical Studies NeoTropical Data Center (OTS-NTDC) is a U.S. based non-profit consortium located at

Duke University, and composed of over 60 academic and research institutions from the United States, Costa Rica, South Africa, Mexico, Peru and

Australia. OTS-NDC is designed to safeguard and promote sharing and reuse of scientific data from neotropical ecosystems of Costa Rica. OTS-NDC

manages ecological data generated at research stations located in La Selva, Las Cruces, and Palo Verde, Costa Rica by both OTS-NDC and

independent researchers. OTS-NDC was originally funded by the U.S. NSF (FSML program), but is now operated autonomously by OTS-NDC.

#20 - 2018-03-01 19:21 - Amy Forrester

- Logo URL set to https://github.com/DataONEorg/member-node-info/blob/master/production/graphics/web/OTS_NDC.png

- Base URL deleted (http://www.ots.ac.cr/)

- MN_Date_Online set to 2018-02-26

- Name set to Organization for Tropical Studies

- Date Upcoming set to 2018-02-19

- Information URL set to http://www.ots.ac.cr/

- Version set to 1.14.7

#21 - 2018-03-09 17:46 - Amy Forrester

- Status changed from Testing to In Review

- % Done changed from 50 to 80

#22 - 2018-03-12 23:43 - Amy Forrester

- Version changed from 1.14.7 to 2.8.6

#23 - 2018-04-03 17:22 - Amy Forrester

- Status changed from In Review to Operational

#24 - 2018-07-31 18:50 - Amy Forrester

Carlos de la Rosa is no longer employed at OTS. Please direct future OTS-related correspondence to Rebecca Cole at 

rebecca.cole@tropicalstudies.org

#25 - 2018-12-04 14:58 - Amy Forrester

- Target version changed from Deploy by end of Y4Q1 to Operational

#26 - 2019-06-10 13:03 - Amy Forrester

June 7, 2019 - Per Oscar: 

I am writing to let you know that, we had a problem with our server.  For this reason, OTS has decided to withdraw our member node from the

DataONE network indefinitely, because in this moment we have another pressing issues which prevent us from attending to this situation

immediately.
Files

preguntasdataone.docx 43.3 KB 2017-06-25 Laura Moyers
